> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opscape.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload a new profile image for the current user



## OpenAPI

````yaml https://opscape.com/api/v1/openapi.json post /users/me/avatar
openapi: 3.0.0
info:
  title: Kan API
  description: OpenAPI compliant REST API
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /users/me/avatar:
    post:
      tags:
        - Users
      summary: Upload a new profile image for the current user
      operationId: uploadAvatar
      parameters:
        - name: x-file-content-type
          in: header
          description: The file's MIME type
          required: false
          schema:
            type: string
        - name: x-original-filename
          in: header
          description: The URI-encoded original filename
          required: false
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/octet-stream:
            schema:
              type: string
              format: binary
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponseDto_Output'
      security:
        - bearer: []
components:
  schemas:
    SuccessResponseDto_Output:
      type: object
      properties:
        success:
          type: boolean
      required:
        - success
      additionalProperties: false
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.